// CmdNCtrlDlg.h : header file
//

#if !defined(AFX_CMDNCTRLDLG_H__42827D5B_25FC_11D2_A368_0020781154B3__INCLUDED_)
#define AFX_CMDNCTRLDLG_H__42827D5B_25FC_11D2_A368_0020781154B3__INCLUDED_

#include <initguid.h>

#ifndef _SPEECH_
#include "speech.h"
#endif

#include "resource.h"

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CCmdNCtrlDlg dialog

class CIVCmdNotifySink;

class CCmdNCtrlDlg : public CDialog
{
// Construction
public:

  CCmdNCtrlDlg(PIVOICECMD pIVoiceCmd,
               CIVCmdNotifySink* pIVCmdNotifySink,
               CWnd* pParent = NULL);

  ~CCmdNCtrlDlg();
protected:
  // We don't want the user using the default constructor, so make it
  // protected. 
  CCmdNCtrlDlg();   

private:
  PIVOICECMD          m_pIVoiceCmd;
  CIVCmdNotifySink*   m_pIVCmdNotifySink;
  PIVCMDMENU          m_pIVCmdMenu;

public:
	void OnRecognize(DWORD dwStrID);
// Dialog Data
	//{{AFX_DATA(CCmdNCtrlDlg)
	enum { IDD = IDD_CMDNCTRL_DIALOG };
	CString	m_userName;
	UINT	m_nAge;
	BOOL	m_bAdmin;
	BOOL	m_bDisabled;
	BOOL	m_bUnlimited;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCmdNCtrlDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

  void InitVoiceMenu();
	// Generated message map functions
	//{{AFX_MSG(CCmdNCtrlDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CMDNCTRLDLG_H__42827D5B_25FC_11D2_A368_0020781154B3__INCLUDED_)
