/* com/syncbuilder/storage/generic/Record.java:
*
* Copyright (C) 1998, 1999, Tilo Christ
*
* This is free software, licensed under the GNU Library Public License V2.
* See the file COPYING.LIB for details.
*/
/* $Id: Record.java,v 1.2 1999/02/18 09:52:11 christ Exp $ */

package com.syncbuilder.storage.generic;

/**
* The generic representation of a database-record.
* This class contains no functionality to help you
* treat the record in an application specific way.
* You can only manipulate the attributes and the raw content.
*
* @author Tilo Christ
*/
public class Record
	extends com.syncbuilder.storage.Record
{
	/**
	* Construct a record with no content and all flags set to false.
	*/
	public Record() 
	{
		super();
	}

	/**
	* Construct a record with the specified properties.
	*/
	public Record(byte[] contents, com.syncbuilder.storage.RecordID id, int index, int attr, int category) 
	{
		super(contents, id, index, attr, category);
	}
}
