/* com/syncbuilder/storage/mail/AppBlock.java:
*
* Copyright (C) 1997, 1998, Kenneth Albanowski
* Copyright (C) 1998, 1999, Tilo Christ
*
* This is free software, licensed under the GNU Library Public License V2.
* See the file COPYING.LIB for details.
*/
/* $Id: AppBlock.java,v 1.2 1999/02/18 09:51:02 christ Exp $ */

package com.syncbuilder.storage.mail;

import java.io.*;

public class AppBlock 
	extends com.syncbuilder.storage.CategoryAppBlock 
{		
	public AppBlock() 
	{
		super();
	}
		
	public AppBlock(byte[] contents) 
	{
		super(contents);
	}
	
	public native void unpack(byte[] data);
	public native byte[] pack();
	
	public void fill() 
	{
		super.fill();
	}
		
	public String describe() 
	{
		return "sort="+sortOrder+", unsentMessage="+unsentMessage+
				", dirty="+dirty+", "+super.describe();
	}


	public sort sortOrder;
	public com.syncbuilder.storage.RecordID unsentMessage;
	public boolean dirty;
}
